#imgport{
	width: 100%;
	height: auto;
}

/* Reset de estilo básico */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Arial', sans-serif;
    line-height: 1.6;
    color: #333;
}

header {
    background: #333;
    color: #fff;
    padding: 1rem 0;
    
    width: 100%;
    top: 0;
    left: 0;
    z-index: 1000;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 2rem;
}

.nav-list {
    list-style: none;
    display: flex;
}

.nav-list li {
    margin-left: 2rem;
}

.nav-list a {
    color: #fff;
    text-decoration: none;
    padding: 0.5rem 1rem;
}

.nav-list a:hover {
    color: #ff6347;
}

.menu-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
}

.menu-toggle .bar {
    width: 25px;
    height: 3px;
    background-color: #fff;
    margin: 4px 0;
}

.hero {
    position: relative;
    background: url('portada.jpg') no-repeat center center/cover;
}

.hero-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: #fff;
}

.hero-text h1 {
    font-size: 3vw;
    animation: fadeInDown 1.5s;
}

.hero-text p {
    font-size: 2vw;
    animation: fadeInUp 1.5s;
}

@keyframes fadeInDown {
    0% {
        opacity: 0;
        transform: translateY(-20px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.gallery {
    padding: 2rem;
    text-align: center;
}

.gallery h2 {
    margin-bottom: 1rem;
    font-size: 2rem;
}

.gallery-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.gallery-container img {
    width: 25%;
    height: auto;
    margin: 0.5rem;
    border-radius: 8px;
    transition: transform 0.3s;
}

.gallery-container img:hover {
    transform: scale(1.05);
}

.text-blocks {
    padding: 2rem;
    text-align: center;
}

.text-blocks h2{
	width: 50%;
	margin: auto;
}
.text-block {
    margin: auto;
	padding-top: 1%;
	width: 50%;
}

.text-title {
    cursor: pointer;
    background-color: #333;
    color: #fff;
    padding: 0.5rem;
    border-radius: 5px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.arrow {
    transition: transform 0.3s;
}

.text-title.active .arrow {
    transform: rotate(90deg);
}

.text-content {
    display: none;
    margin-top: 0.5rem;
    padding: 0.5rem;
    background-color: #f4f4f4;
    border-radius: 5px;
}

.contact {
    padding: 2rem;
    text-align: center;
	background-color: #333;
	color: white;
}

.contact h2 {
    margin-bottom: 1rem;
    font-size: 2rem;
}

.contact p {
    font-size: 1.2rem;
}

.content {
	margin: auto;
	color: white;
    width: 50%; 
	font-size: 1rem;
    text-align: justify;
    background: rgba(0, 0, 0, 0.5); 
    padding: 20px;
    border-radius: 2%;
}

#biografiafond{
	margin: 0;
    padding: 0;
	background: url("img/office.jpg") no-repeat center center fixed;
	background-size: cover;
    height: 100vh;
}

#julio{
	width: 20%;
}
#julio2{
	width: 50%;
}

#imgmenu{
	width: 5%;
	height: auto;
}

#imgwha{
	width: 5%;
	height: auto;
}

#linktree{
	width: 10%;
	margin: auto;
}



@media (max-width: 768px) {
    .hero-text h1 {
        font-size: 2.5;
    }

    .hero-text p {
        font-size: 1.2rem;
    }

    .nav-list {
        display: none;
        flex-direction: column;
        width: 100%;
        text-align: center;
    }

    .nav-list li {
        margin: 1rem 0;
    }

    .menu-toggle {
        display: flex;
    }
	
	.text-blocks{
		width: 95%;
		margin: auto;
	}
	.text-blocks h2{
		width: 100%;
		margin: auto;
	}
	
	.text-block{
		width: 95%;
	}
	
	.gallery-container img{
		width: 95%;
	}
	
	.content{
		width: 100%;
	}
	
	#julio{
	width: 80%;
	}
	
	#julio2{
	width: 100%;
	}
	
	#imgwha{
	width: 15%;
	height: auto;
}

#linktree{
	width: 30%;
	margin: auto;
}

video{
	width: 80%;		
	}
}
